Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.jpa
Class JpaEJBQLQuery

    java.lang.Object
      org.apache.cayenne.jpa.JpaQuery
          org.apache.cayenne.jpa.JpaEJBQLQuery

All Implemented Interfaces:
  javax.persistence.Query

    public class JpaEJBQLQuery

extends JpaQuery

A JPA wrapper for `EJBQLQuery`.

Since:
  3.0

Field Summary
`protected EJBQLQuery` | `query`

Fields inherited from class org.apache.cayenne.jpa.JpaQuery
`context`

Constructor Summary
`JpaEJBQLQuery(ObjectContext ctxt, String ejbqlString)`

Method Summary
`protected Query` | `getQuery()`
`javax.persistence.Query` | `setParameter(int position, Object value)` Bind an argument to a positional parameter.
`javax.persistence.Query` | `setParameter(String name, Object value)` Bind an argument to a named parameter.

Methods inherited from class org.apache.cayenne.jpa.JpaQuery
`executeUpdate, getResultList, getSingleResult, setFirstResult, setFlushMode, setHint, setMaxResults, setParameter, setParameter, setParameter, setParameter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### query

    protected EJBQLQuery query

Constructor Detail

### JpaEJBQLQuery

    public JpaEJBQLQuery(ObjectContext ctxt,
                         String ejbqlString)

Method Detail

### getQuery

    protected Query getQuery()

  Specified by:
    `getQuery` in class `JpaQuery`

### setParameter

    public javax.persistence.Query setParameter(int position,
                                                Object value)

  Description copied from class: `JpaQuery`
  Bind an argument to a positional parameter.

  Specified by:
    `setParameter` in interface `javax.persistence.Query`
  Specified by:
    `setParameter` in class `JpaQuery`
  Returns:
    the same query instance

### setParameter

    public javax.persistence.Query setParameter(String name,
                                                Object value)

  Description copied from class: `JpaQuery`
  Bind an argument to a named parameter.

  Specified by:
    `setParameter` in interface `javax.persistence.Query`
  Specified by:
    `setParameter` in class `JpaQuery`
  Parameters:
    `name` - the parameter name
  Returns:
    the same query instance

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Apache Cayenne. All Rights Reserved.